## rocm-llvm 7.0.2+dfsg

=== amd/device-libs/CMakeLists.txt ===
##===--------------------------------------------------------------------------
##                   ROCm Device Libraries
##
## This file is distributed under the University of Illinois Open Source
## License. See LICENSE.TXT for details.
##===--------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.13.4)

project(ROCm-Device-Libs VERSION "1.0.0")
cmake_policy(SET CMP0011 NEW)

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  include(CMakePackageConfigHelpers)
  include(GNUInstallDirs)

  find_package(ROCM)
  if (ROCM_FOUND)
    include(ROCMSetupVersion)
    rocm_setup_version(VERSION "${PROJECT_VERSION}")
  endif()
endif()

list(APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")

add_custom_target(rocm-device-libs)

# Optionally, build Device Libs with ccache.
set(ROCM_CCACHE_BUILD OFF CACHE BOOL "Set to ON for a ccache enabled build")
if (ROCM_CCACHE_BUILD)
  find_program(CCACHE_PROGRAM ccache)
  if (CCACHE_PROGRAM)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ${CCACHE_PROGRAM})
  else()
    message(WARNING "Unable to find ccache. Falling back to real compiler")
  endif() # if (CCACHE_PROGRAM)
endif() # if (ROCM_CCACHE_BUILD)

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  find_package(LLVM REQUIRED)
  find_package(Clang HINTS ${LLVM_DIR}/../clang)

  list(APPEND CMAKE_MODULE_PATH ${LLVM_DIR})

  if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX ${CMAKE_BINARY_DIR}/dist CACHE INTERNAL "Prefix prepended to install directories")
  endif()

  set(ROCM_DEVICELIB_STANDALONE_BUILD ON)
endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)


if (NOT DEFINED AMDGPU_TARGET_TRIPLE)
  set(AMDGPU_TARGET_TRIPLE "amdgcn-amd-amdhsa")
endif()

if (NOT PREPARE_BUILTINS)
  add_subdirectory(utils/prepare-builtins)
  set (PREPARE_BUILTINS $<TARGET_FILE:prepare-builtins>)
endif()

# Following variables are required for ROCM backwards compatibility,
# and should be removed in ROCM 7.0 release.
set(ROCM_DEVICE_LIBS_BITCODE_INSTALL_LOC_NEW "" CACHE STRING "New bitcode install location relative to CMAKE_INSTALL_PREFIX")
set(ROCM_DEVICE_LIBS_BITCODE_INSTALL_LOC_OLD "" CACHE STRING "Old bitcode install location relative to CMAKE_INSTALL_PREFIX")

include(OCL)

if (NOT ROCM_DEVICE_LIBS_BITCODE_INSTALL_LOC_NEW STREQUAL "" AND
    NOT ROCM_DEVICE_LIBS_BITCODE_INSTALL_LOC_OLD STREQUAL "")
  set(ROCM_DEVICE_LIBS_WRAPPER_DIR ${CMAKE_CURRENT_BINARY_DIR}/wrapper_dir)
  file(MAKE_DIRECTORY ${ROCM_DEVICE_LIBS_WRAPPER_DIR})
  add_custom_target(
      FILE_REORG_ROCM_6_0 ALL
      WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
      COMMAND ${CMAKE_COMMAND} -E create_symlink
          ${ROCM_DEVICE_LIBS_BITCODE_INSTALL_LOC_NEW}
          ${ROCM_DEVICE_LIBS_WRAPPER_DIR}/${ROCM_DEVICE_LIBS_BITCODE_INSTALL_LOC_OLD})
  install(
      FILES ${ROCM_DEVICE_LIBS_WRAPPER_DIR}/${ROCM_DEVICE_LIBS_BITCODE_INSTALL_LOC_OLD}
      DESTINATION .)
endif()

set(AMDGCN_LIB_LIST)
set(AMDGCN_DEP_LIST)
add_subdirectory(oclc)
add_subdirectory(ocml)
add_subdirectory(ockl)
add_subdirectory(opencl)
add_subdirectory(hip)
add_subdirectory(asanrtl)

enable_testing()
add_subdirectory(test/compile)

include(Packages)

if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
  ## CPack standard variables
  set ( CPACK_PACKAGE_NAME "rocm-device-libs" )
  set ( CPACK_PACKAGE_VERSION_MAJOR "${PROJECT_VERSION_MAJOR}" )
  set ( CPACK_PACKAGE_VERSION_MINOR "${PROJECT_VERSION_MINOR}" )
  set ( CPACK_PACKAGE_VERSION_PATCH "${PROJECT_VERSION_PATCH}" )
  set ( CPACK_PACKAGE_VERSION "${PROJECT_VERSION}" )
  set ( CPACK_PACKAGE_CONTACT "Advanced Micro Devices Inc." )
  set ( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Radeon Open Compute - device libraries" )
  set ( CPACK_PACKAGE_DESCRIPTION "This package includes LLVM bitcode libraries." )
  set ( CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/LICENSE.TXT" )
  set ( CPACK_DEBIAN_PACKAGE_HOMEPAGE "https://github.com/RadeonOpenCompute/ROCm-Device-Libs" )

  # Install License file
  install ( FILES "${CPACK_RESOURCE_FILE_LICENSE}"
          DESTINATION ${CMAKE_INSTALL_DOCDIR})

  set ( CPACK_GENERATOR "DEB;RPM" CACHE STRING "Default packaging generators." )

  ## ROCM version updates as per naming convention
  set ( ROCM_VERSION_FOR_PACKAGE "99999" )
  if( DEFINED ENV{ROCM_LIBPATCH_VERSION} )
    set ( ROCM_VERSION_FOR_PACKAGE $ENV{ROCM_LIBPATCH_VERSION} )
  endif()
  ## Debian package values
  set ( CPACK_DEBIAN_PACKAGE_MAINTAINER "ROCm Compiler Support <rocm.compiler.support@amd.com>" )

  set ( CPACK_DEBIAN_PACKAGE_RELEASE "local" )
  if( DEFINED ENV{CPACK_DEBIAN_PACKAGE_RELEASE} )
    set ( CPACK_DEBIAN_PACKAGE_RELEASE $ENV{CPACK_DEBIAN_PACKAGE_RELEASE} )
  endif()
  ## RPM package variables
  set ( CPACK_RPM_PACKAGE_RELEASE "local" )
  if( DEFINED ENV{CPACK_RPM_PACKAGE_RELEASE} )
    set ( CPACK_RPM_PACKAGE_RELEASE $ENV{CPACK_RPM_PACKAGE_RELEASE} )
  endif()
  ## get distro for RPM package using dist
  message("device-libs CPACK_RPM_PACKAGE_RELEASE now is ${CPACK_RPM_PACKAGE_RELEASE}")
  set( CPACK_RPM_PACKAGE_LICENSE "NCSA" )

  execute_process( COMMAND rpm --eval %{?dist}
                 RESULT_VARIABLE _result_var
                 OUTPUT_VARIABLE _output_var
                 OUTPUT_STRIP_TRAILING_WHITESPACE )
  if( _result_var EQUAL "0" AND NOT _output_var STREQUAL "" )
    string (APPEND CPACK_RPM_PACKAGE_RELEASE ${_output_var})
  endif()
  # set package name as per standard
  set ( CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}.${ROCM_VERSION_FOR_PACKAGE}" )

  set ( CPACK_RPM_FILE_NAME "RPM-DEFAULT" )
  set ( CPACK_RPM_PACKAGE_REQUIRES "rocm-core" )
  set ( CPACK_DEBIAN_FILE_NAME "DEB-DEFAULT" )
  set ( CPACK_DEBIAN_PACKAGE_DEPENDS "rocm-core" )
  # Remove dependency on rocm-core if -DROCM_DEP_ROCMCORE=ON not given to cmake
  if(NOT ROCM_DEP_ROCMCORE)
      string(REGEX REPLACE ",? ?rocm-core" "" CPACK_RPM_PACKAGE_REQUIRES ${CPACK_RPM_PACKAGE_REQUIRES})
      string(REGEX REPLACE ",? ?rocm-core" "" CPACK_DEBIAN_PACKAGE_DEPENDS ${CPACK_DEBIAN_PACKAGE_DEPENDS})
  endif()
  include( CPack )
endif()

=== amd/device-libs/hip/CMakeLists.txt ===
##===--------------------------------------------------------------------------
##                   ROCm Device Libraries
##
## This file is distributed under the University of Illinois Open Source
## License. See LICENSE.TXT for details.
##===--------------------------------------------------------------------------

file(GLOB cl_sources
  ${CMAKE_CURRENT_SOURCE_DIR}/src/*.cl
)

file(GLOB ll_sources
  ${CMAKE_CURRENT_SOURCE_DIR}/src/*.ll
)

file(GLOB sources ${cl_sources} ${ll_sources})

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../ocml/inc)
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/../ockl/inc)
opencl_bc_lib(NAME hip
              SOURCES ${sources})

=== amd/device-libs/test/compile/CMakeLists.txt ===
##===--------------------------------------------------------------------------
##                   ROCm Device Libraries
##
## This file is distributed under the University of Illinois Open Source
## License. See LICENSE.TXT for details.
##===--------------------------------------------------------------------------

if(TARGET FileCheck)
  set(FILECHECK_BIN $<TARGET_FILE:FileCheck>)
else()
  # FIXME: Is there a better way to get the binary directory?
  # FileCheck is also not normally installed, so it only really works
  # well with build directories by default.
  find_program(FILECHECK_BIN FileCheck
    HINTS ${LLVM_DIR}/../../../bin)
endif()

if(NOT FILECHECK_BIN)
  message(STATUS "FileCheck not found, not adding constant fold tests")
  return()
endif()

message(STATUS "Running constant fold tests")

function(add_compile_test test_name func_name)
  set(parse_options)
  set(one_value_args TEST_CPU FILE_NAME SCRIPT EXTRA_CHECK_PREFIXES)
  set(multi_value_args COMPILE_FLAGS)

  cmake_parse_arguments(COMPILE_TEST "${parse_options}" "${one_value_args}"
    "${multi_value_args}" ${ARGN})

  set(test_cpu ${COMPILE_TEST_TEST_CPU})
  set(file_name ${COMPILE_TEST_FILE_NAME})

  add_test(NAME ${test_name}__${test_cpu}
    COMMAND ${CMAKE_COMMAND}
     -DCLANG_BIN=$<TARGET_FILE:clang>
     -DBINARY_DIR=${PROJECT_BINARY_DIR}
     -DFILECHECK_BIN=${FILECHECK_BIN}
     -DOUTPUT_FILE=output.${test_name}.${test_cpu}.s
     -DINPUT_FILE=${file_name}
     -DTEST_CPU=${test_cpu}
     -DCOMPILE_FLAGS=${COMPILE_TEST_COMPILE_FLAGS}
     -DEXTRA_CHECK_PREFIX=${COMPILE_TEST_EXTRA_CHECK_PREFIXES}
     -P ${COMPILE_TEST_SCRIPT})
endfunction()


# Add constant folding tests
function(add_constant_fold_test name test_cpu)
  add_compile_test(constant_fold_${name} ${name}
    FILE_NAME ${CMAKE_CURRENT_SOURCE_DIR}/${name}.cl
    SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/RunConstantFoldTest.cmake
    TEST_CPU ${test_cpu}
    EXTRA_CHECK_PREFIXES CHECK
    ${ARGN})
endfunction()

# Add full to ISA compile tests
function(add_isa_test name test_cpu)
  string(TOUPPER ${test_cpu} check_prefix)
  add_compile_test(compile_${name} ${name}
    FILE_NAME ${CMAKE_CURRENT_SOURCE_DIR}/${name}.cl
    SCRIPT ${CMAKE_CURRENT_SOURCE_DIR}/RunCompileTest.cmake
    TEST_CPU ${test_cpu}
    EXTRA_CHECK_PREFIXES "${check_prefix},GCN"
    ${ARGN})
endfunction()


foreach(gpu gfx900 gfx1030)
  add_constant_fold_test(lgamma_r ${gpu})
endforeach()

foreach(gpu gfx803)
  add_isa_test(asin ${gpu})
  add_isa_test(atan2 ${gpu})
  add_isa_test(atan2pi ${gpu})
endforeach()

foreach(gpu gfx600)
  add_isa_test(frexp ${gpu})
endforeach()

foreach(gpu gfx900)
  # Test with default denormal enabled target
  add_isa_test(rsqrt ${gpu}
    EXTRA_CHECK_PREFIXES IEEE)
  add_isa_test(rsqrt_daz ${gpu}
    FILE_NAME ${CMAKE_CURRENT_SOURCE_DIR}/rsqrt.cl
    COMPILE_FLAGS -cl-denorms-are-zero
    EXTRA_CHECK_PREFIXES DAZ)
endforeach()


foreach(gpu gfx600 gfx700 gfx803)
  add_isa_test(fract ${gpu})
  add_isa_test(native_rcp ${gpu})
  add_isa_test(native_rsqrt ${gpu})
  add_isa_test(native_log ${gpu})
  add_isa_test(native_exp ${gpu})
endforeach()

foreach(gpu gfx803 gfx900 gfx90a gfx1030 gfx1100 gfx1200)
  add_isa_test(atomic_work_item_fence ${gpu}
    FILE_NAME ${CMAKE_CURRENT_SOURCE_DIR}/atomic_work_item_fence.cl
    COMPILE_FLAGS -emit-llvm)
endforeach()

=== amd/device-libs/utils/prepare-builtins/CMakeLists.txt ===
##===--------------------------------------------------------------------------
##                   ROCm Device Libraries
##
## This file is distributed under the University of Illinois Open Source
## License. See LICENSE.TXT for details.
##===--------------------------------------------------------------------------

cmake_minimum_required(VERSION 3.13.4)

include(AddLLVM)

if (ROCM_DEVICELIB_STANDALONE_BUILD)
  add_definitions(${LLVM_DEFINITIONS})
  include_directories(${LLVM_INCLUDE_DIR})
  include_directories(${LLVM_CONFIG_INCLUDE_DIR})
  include_directories(${LLVM_MAIN_INCLUDE_DIR})

  include_directories(${LLVM_INCLUDE_DIRS})
  add_definitions(${LLVM_DEFINITIONS})
  link_directories("${LLVM_LIBRARY_DIR}")
endif()

add_executable(prepare-builtins prepare-builtins.cpp)
set_target_properties(prepare-builtins PROPERTIES
  CXX_STANDARD 17
  CXX_STANDARD_REQUIRED Yes
  CXX_EXTENSIONS No)
llvm_update_compile_flags(prepare-builtins)
llvm_map_components_to_libnames(llvm_libs support core bitreader bitwriter)
target_link_libraries(prepare-builtins ${llvm_libs})

=== amd/hipcc/docs/sphinx/requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile requirements.in
#
accessible-pygments==0.0.5
    # via pydata-sphinx-theme
alabaster==0.7.16
    # via sphinx
babel==2.15.0
    # via
    #   pydata-sphinx-theme
    #   sphinx
beautifulsoup4==4.12.3
    # via pydata-sphinx-theme
breathe==4.35.0
    # via rocm-docs-core
certifi==2024.6.2
    # via requests
cffi==1.16.0
    # via
    #   cryptography
    #   pynacl
charset-normalizer==3.3.2
    # via requests
click==8.1.7
    # via sphinx-external-toc
cryptography==42.0.8
    # via pyjwt
deprecated==1.2.14
    # via pygithub
docutils==0.21.2
    # via
    #   breathe
    #   myst-parser
    #   pydata-sphinx-theme
    #   sphinx
fastjsonschema==2.19.1
    # via rocm-docs-core
gitdb==4.0.11
    # via gitpython
gitpython==3.1.43
    # via rocm-docs-core
idna==3.7
    # via requests
imagesize==1.4.1
    # via sphinx
jinja2==3.1.4
    # via
    #   myst-parser
    #   sphinx
markdown-it-py==3.0.0
    # via
    #   mdit-py-plugins
    #   myst-parser
markupsafe==2.1.5
    # via jinja2
mdit-py-plugins==0.4.1
    # via myst-parser
mdurl==0.1.2
    # via markdown-it-py
myst-parser==3.0.1
    # via rocm-docs-core
packaging==24.1
    # via
    #   pydata-sphinx-theme
    #   sphinx
pycparser==2.22
    # via cffi
pydata-sphinx-theme==0.15.3
    # via
    #   rocm-docs-core
    #   sphinx-book-theme
pygithub==2.3.0
    # via rocm-docs-core
pygments==2.18.0
    # via
    #   accessible-pygments
    #   pydata-sphinx-theme
    #   sphinx
pyjwt[crypto]==2.8.0
    # via pygithub
pynacl==1.5.0
    # via pygithub
pyyaml==6.0.1
    # via
    #   myst-parser
    #   rocm-docs-core
    #   sphinx-external-toc
requests==2.32.3
    # via
    #   pygithub
    #   sphinx
rocm-docs-core==1.4.0
    # via -r requirements.in
smmap==5.0.1
    # via gitdb
snowballstemmer==2.2.0
    # via sphinx
soupsieve==2.5
    # via beautifulsoup4
sphinx==7.3.7
    # via
    #   breathe
    #   myst-parser
    #   pydata-sphinx-theme
    #   rocm-docs-core
    #   sphinx-book-theme
    #   sphinx-copybutton
    #   sphinx-design
    #   sphinx-external-toc
    #   sphinx-notfound-page
sphinx-book-theme==1.1.3
    # via rocm-docs-core
sphinx-copybutton==0.5.2
    # via rocm-docs-core
sphinx-design==0.6.0
    # via rocm-docs-core
sphinx-external-toc==1.0.1
    # via rocm-docs-core
sphinx-notfound-page==1.0.2
    # via rocm-docs-core
sphinxcontrib-applehelp==1.0.8
    # via sphinx
sphinxcontrib-devhelp==1.0.6
    # via sphinx
sphinxcontrib-htmlhelp==2.0.5
    # via sphinx
sphinxcontrib-jsmath==1.0.1
    # via sphinx
sphinxcontrib-qthelp==1.0.7
    # via sphinx
sphinxcontrib-serializinghtml==1.1.10
    # via sphinx
tomli==2.0.1
    # via sphinx
typing-extensions==4.12.2
    # via
    #   pydata-sphinx-theme
    #   pygithub
urllib3==2.2.1
    # via
    #   pygithub
    #   requests
wrapt==1.16.0
    # via deprecated

=== debian/changelog ===
rocm-llvm (7.0.2+dfsg-3) unstable; urgency=medium

  * d/control: libamd-comgr3 now depends on libclang-common-21-dev
    to provide opencl-c-base.h (Closes: #1120886)

 -- Cordell Bloor <cgmb@debian.org>  Thu, 05 Feb 2026 16:46:09 -0700

rocm-llvm (7.0.2+dfsg-2) unstable; urgency=medium

  * Change HIP_CLANG_PATH from /usr/bin to /usr/lib/llvm-21/bin because
    this improves compatibility with tooling that expects the compiler
    name to be clang++ without any version suffix.
    * It is no longer necessary to explicitly specify HIPCXX for CMake
      when using the HIP language if hipcc is installed (Closes: #1118435)
  * Set minimum libamdhip64-dev version for hipcc to 6.4.3 as a workaround
    for underspecified dependencies in the rocm-hipamd 5.7.1 autopkgtests

 -- Cordell Bloor <cgmb@debian.org>  Wed, 26 Nov 2025 17:47:24 -0700

=== debian/control ===
Source: rocm-llvm
Section: devel
Priority: optional
Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
Uploaders: Xuanteng Huang <xuanteng.huang@outlook.com>,
           Christian Kastner <ckk@debian.org>,
           Cordell Bloor <cgmb@debian.org>
Standards-Version: 4.7.2
Homepage: https://github.com/ROCm/llvm-project
Vcs-Browser: https://salsa.debian.org/rocm-team/rocm-llvm
Vcs-Git: https://salsa.debian.org/rocm-team/rocm-llvm.git
Build-Depends: debhelper-compat (= 13),
               cmake,
               clang-21,
               clang-tools-21,
               libclang-21-dev,
               libclang-rt-21-dev,
               libhsa-runtime-dev (>= 6.1.2~),
               libnuma-dev,
               lld-21,
               liblld-21-dev,
               llvm-21-dev,
               libzstd-dev,
               zlib1g-dev,
               libxml2-dev,
               chrpath,
Rules-Requires-Root: no

Package: hipcc
Section: devel
Architecture: amd64 arm64 ppc64el riscv64
Depends: ${misc:Depends},
         ${shlibs:Depends},
         clang-21,
         llvm-21,
         lld-21,
         clang-tools-21,
         libclang-rt-21-dev,
         rocm-device-libs-21 (= ${binary:Version}),
         rocminfo (>= 6.1.2~),
         libamdhip64-dev (>= 6.4.3~)
Description: C++ Runtime API and Kernel Language for AMD and NVIDIA GPUs
 HIP (Heterogeneous Interface for Portability) is a C++ Runtime API and Kernel
 Language that allows developers to create portable applications for AMD and
 NVIDIA GPUs from single source code.
 .
 Key features include:
 .
  * HIP is very thin and has little or no performance impact over coding
    directly in CUDA mode;
  * HIP allows coding in a single-source C++ programming language including
    features such as templates, C++11 lambdas, classes, namespaces, and more;
  * HIP allows developers to use the "best" development environment and tools
    on each target platform;
  * the HIPify tools automatically convert source from CUDA to HIP;
  * developers can specialize for the platform (CUDA or AMD) to tune for
    performance or handle tricky cases.
 .
 New projects can be developed directly in the portable HIP C++ language and
 can run on either NVIDIA or AMD platforms.  Additionally, HIP provides porting
 tools which make it easy to port existing CUDA codes to the HIP layer, with no
 loss of performance as compared to the original CUDA application.  HIP is not
 intended to be a drop-in replacement for CUDA, and developers should expect to
 do some manual coding and performance tuning work to complete the port.
 .
 This package provides the compiler to compile the HIP source programs.

Package: rocm-device-libs-21
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: AMD specific device-side language runtime libraries
 Set of AMD specific device-side language runtime libraries, specifically: the
 Open Compute library controls, the Open Compute Math library, the Open Compute
 Kernel library, the OpenCL built-in library, the HIP built-in library, and the
 Heterogeneous Compute built-in library.

Package: libamd-comgr3
Architecture: amd64 arm64 ppc64el riscv64
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libclang-common-21-dev
Multi-Arch: same
Description: ROCm code object manager
 The Code Object Manager is a shared library which provides operations for
 creating and inspecting LLVM code objects. See the documentation in the
 header file /usr/include/amd_comgr/amd_comgr.h .

Package: libamd-comgr-dev
Architecture: amd64 arm64 ppc64el riscv64
Section: libdevel
Depends: libamd-comgr3 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: ROCm code object manager - development package
 The Code Object Manager is a shared library which provides operations for
 creating and inspecting LLVM code objects. See the documentation in the
 header file /usr/include/amd_comgr/amd_comgr.h .
 .
 This package contains the development files.

## rocm-llvm 7.1.0+dfsg

=== debian/changelog ===
rocm-llvm (7.1.0+dfsg-0ubuntu5) resolute; urgency=medium

  * d/p/upstream-llvm-compatibility: remove not needed reinterpret_cast.
    This fixes offload compression issue we see in ROCm stack with LLVM-21
    (LP: #2142813)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 03 Mar 2026 13:26:06 +0100

rocm-llvm (7.1.0+dfsg-0ubuntu4) resolute; urgency=medium

  * No change rebuild due to rocr-runtime upgrade

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 03 Feb 2026 18:57:51 +0300

rocm-llvm (7.1.0+dfsg-0ubuntu3) resolute; urgency=medium

  * d/control: add ppc64el builds back (LP: #2138906)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Mon, 26 Jan 2026 17:36:53 +0100

rocm-llvm (7.1.0+dfsg-0ubuntu2) resolute; urgency=medium

  * d/control: build rocm-device-libs-21 only for amd64 and arm64 (LP: #2138733)

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Tue, 20 Jan 2026 15:14:25 +0100

rocm-llvm (7.1.0+dfsg-0ubuntu1) resolute; urgency=medium

  * New upstream version 7.1.0
  * d/control: remove unsupported architectures riscv64 and ppc64el

 -- Talha Can Havadar <talha.can.havadar@canonical.com>  Thu, 15 Jan 2026 15:09:35 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: rocm-llvm
 Section: devel
 Priority: optional
-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian ROCm Team <debian-ai@lists.debian.org>
 Uploaders: Xuanteng Huang <xuanteng.huang@outlook.com>,
            Christian Kastner <ckk@debian.org>,
            Cordell Bloor <cgmb@debian.org>
@@ -28,7 +29,7 @@
 
 Package: hipcc
 Section: devel
-Architecture: amd64 arm64 ppc64el riscv64
+Architecture: amd64 arm64 ppc64el
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          clang-21,
@@ -66,7 +67,7 @@
  This package provides the compiler to compile the HIP source programs.
 
 Package: rocm-device-libs-21
-Architecture: any
+Architecture: amd64 arm64 ppc64el
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends},
@@ -77,11 +78,10 @@
  Heterogeneous Compute built-in library.
 
 Package: libamd-comgr3
-Architecture: amd64 arm64 ppc64el riscv64
+Architecture: amd64 arm64 ppc64el
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends},
-         libclang-common-21-dev
 Multi-Arch: same
 Description: ROCm code object manager
  The Code Object Manager is a shared library which provides operations for
@@ -89,7 +89,7 @@
  header file /usr/include/amd_comgr/amd_comgr.h .
 
 Package: libamd-comgr-dev
-Architecture: amd64 arm64 ppc64el riscv64
+Architecture: amd64 arm64 ppc64el
 Section: libdevel
 Depends: libamd-comgr3 (= ${binary:Version}),
          ${misc:Depends},
